Rated 5 out of 5 stars

Excellent, simple to use and useful. I like it. Hope it moves forward to Thunderbird 3.3 or whatever the next version number is.

This review is for a previous version of the add-on (1.4). 

fails in 3.1.9 Rated 1 out of 5 stars

Doesn't work in 3.1.9

This review is for a previous version of the add-on (1.3.2). 

Disagree

The add-on is marked as compatible with Thunderbird 3.1.* which includes 3.1.9. The new version 1.4 is also compatible with your requested version of Thunderbird.